> For the complete documentation index, see [llms.txt](https://docs.fuksus.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fuksus.com/fuksus-houserobberies/configuration/general-config.md).

# General config

```javascript
Config = {}

Config.locale = 'en'

-- Marker style configuration
Config.marker = {
    door = {
        color = { r = 0, g = 255, b = 0, a = 100 },
        type = 1,
        scale = { x = 1.0, y = 1.0, z = 1.0 },
        bob = false,
        rotate = false,
        face = true
    },
    container = {
        color = { r = 0, g = 255, b = 0, a = 100 },
        type = 0,
        scale = { x = 0.35, y = 0.35, z = 0.35 },
        bob = false,
        rotate = false,
        face = true
    } ,
    shop = {
        color = { r = 0, g = 255, b = 0, a = 100 },
        type = 3,
        scale = { x = 0.35, y = 0.35, z = 0.35 },
        bob = false,
        rotate = false,
        face = true
    }
}

-- All the shop locations
Config.shops = {
    {
        coords = vec3(1353.349, -552.6725, 73.96558),
        text = Locale[Config.locale]['open_shop']
    },
}

-- Items that you can sell in shop
Config.shopItems = {
    {
        name = 'water',
        price = 10
    }
}

-- Money shop gives you when you sell an item
Config.moneyAccount = 'black_money' -- 'black_money' or 'money' or 'bank'

-- Blip configuration
Config.blip = {
    sprite = 40,
    color = 2,
    label = Locale[Config.locale]['house_blip']
}

-- Minimum amount of alert jobs online to rob a house
Config.minAlertJobs= 1 
-- Display blips on houses
Config.displayBlips  = true
-- Start robbing keybind 
Config.startRob = 38
-- Draw distance for markers 
Config.drawDistance = 3
-- Job name for police 
Config.alertJobs= 'police' or {'police', 'sheriff'}
-- Item name of the lockpick 
Config.lockpickItem = 'lockpick'
-- Default routing bucket
Config.defaultDimension = 0
-- Alarm play time outside
Config.alarmPlayTime = 10 -- Seconds
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fuksus.com/fuksus-houserobberies/configuration/general-config.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
